<?php
// This file declares an Angular module which can be autoloaded
// in CiviCRM. See also:
// \https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_angularModules/n
return [
  'js' => [
    'ang/crmSearchDisplayMapLeaflet.js',
    'ang/crmSearchDisplayMapLeaflet/*.js',
  ],
  'css' => ['css/leaflet.css'],
  'partials' => [
    'ang/crmSearchDisplayMapLeaflet',
  ],
  'requires' => [
    'crmSearchDisplay',
    'crmUi',
    'ui.bootstrap',
  ],
  'basePages' => ['civicrm/search', 'civicrm/admin/search'],
  'bundles' => ['bootstrap3', 'searchkitmaps'],
  'exports' => [
    'crm-search-display-map-leaflet' => 'E',
  ],
  'settingsFactory' => ['\Civi\Searchkitmaps\Utils', 'getSettings'],
];
