## Information

Releases use the following numbering system:
**{major}.{minor}.{incremental}**

* major: Major refactoring or rewrite - make sure you read and test very carefully!
* minor: Breaking change in some circumstances, or a new feature. Read carefully and make sure you understand the impact of the change.
* incremental: A "safe" change / improvement. Should *always* be safe to upgrade.

* **[BC]**: Items marked with [BC] indicate a breaking change that will require updates to your code if you are using that code in your extension.

## Releaes 1.2.1 (2025-03-17)

* Fix markercluster undefined error.
* Log console warning if lat/lng data is invalid.
* Don't expose filesystem path in js/css bundle.

## Release 1.2 (2025-02-13)

* [!3](https://lab.civicrm.org/extensions/searchkitmaps/-/merge_requests/3) - Split Admin and display into own angular modules
* Civix update.

## Release 1.1 (2024-07-26)

* Add "Cluster" support for map pins.
* Fix map display for anonymous users.

## Release 1.0 (2024-03-02)

Initial release.
